diff --git a/_ide_helper.php b/_ide_helper.php
index b307038..7f7a796 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -14994,431 +16419,471 @@ namespace {
         }
         
         /**
-         * Get the observable event names.
+         * Get the event dispatcher instance.
          *
-         * @return array 
+         * @return \Illuminate\Contracts\Events\Dispatcher 
          * @static 
          */
-        public static function getObservableEvents(){
+        public static function getEventDispatcher(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getObservableEvents();
+            return \Webpatser\Countries\Countries::getEventDispatcher();
         }
         
         /**
-         * Set the observable event names.
+         * Set the event dispatcher instance.
          *
-         * @param array $observables
-         * @return $this 
+         * @param \Illuminate\Contracts\Events\Dispatcher $dispatcher
+         * @return void 
          * @static 
          */
-        public static function setObservableEvents($observables){
+        public static function setEventDispatcher($dispatcher){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setObservableEvents($observables);
+            \Webpatser\Countries\Countries::setEventDispatcher($dispatcher);
         }
         
         /**
-         * Add an observable event name.
+         * Unset the event dispatcher for models.
          *
-         * @param array|mixed $observables
          * @return void 
          * @static 
          */
-        public static function addObservableEvents($observables){
+        public static function unsetEventDispatcher(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::addObservableEvents($observables);
+            \Webpatser\Countries\Countries::unsetEventDispatcher();
         }
         
         /**
-         * Remove an observable event name.
+         * Register a new global scope on the model.
          *
-         * @param array|mixed $observables
-         * @return void 
+         * @param \Illuminate\Database\Eloquent\Scope|\Closure|string $scope
+         * @param \Closure|null $implementation
+         * @return mixed 
+         * @throws \InvalidArgumentException
          * @static 
          */
-        public static function removeObservableEvents($observables){
+        public static function addGlobalScope($scope, $implementation = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::removeObservableEvents($observables);
+            return \Webpatser\Countries\Countries::addGlobalScope($scope, $implementation);
         }
         
         /**
-         * Update the model in the database.
+         * Determine if a model has a global scope.
          *
-         * @param array $attributes
-         * @param array $options
+         * @param \Illuminate\Database\Eloquent\Scope|string $scope
          * @return bool 
          * @static 
          */
-        public static function update($attributes = array(), $options = array()){
+        public static function hasGlobalScope($scope){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::update($attributes, $options);
+            return \Webpatser\Countries\Countries::hasGlobalScope($scope);
         }
         
         /**
-         * Save the model and all of its relationships.
+         * Get a global scope registered with the model.
          *
-         * @return bool 
+         * @param \Illuminate\Database\Eloquent\Scope|string $scope
+         * @return \Illuminate\Database\Eloquent\Scope|\Closure|null 
          * @static 
          */
-        public static function push(){
+        public static function getGlobalScope($scope){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::push();
+            return \Webpatser\Countries\Countries::getGlobalScope($scope);
         }
         
         /**
-         * Save the model to the database.
+         * Get the global scopes for this class instance.
          *
-         * @param array $options
-         * @return bool 
+         * @return array 
          * @static 
          */
-        public static function save($options = array()){
+        public static function getGlobalScopes(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::save($options);
+            return \Webpatser\Countries\Countries::getGlobalScopes();
         }
         
         /**
-         * Save the model to the database using transaction.
+         * Define a one-to-one relationship.
          *
-         * @param array $options
-         * @return bool 
-         * @throws \Throwable
+         * @param string $related
+         * @param string $foreignKey
+         * @param string $localKey
+         * @return \Illuminate\Database\Eloquent\Relations\HasOne 
          * @static 
          */
-        public static function saveOrFail($options = array()){
+        public static function hasOne($related, $foreignKey = null, $localKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::saveOrFail($options);
+            return \Webpatser\Countries\Countries::hasOne($related, $foreignKey, $localKey);
         }
         
         /**
-         * Touch the owning relations of the model.
+         * Define a polymorphic one-to-one relationship.
          *
-         * @return void 
+         * @param string $related
+         * @param string $name
+         * @param string $type
+         * @param string $id
+         * @param string $localKey
+         * @return \Illuminate\Database\Eloquent\Relations\MorphOne 
          * @static 
          */
-        public static function touchOwners(){
+        public static function morphOne($related, $name, $type = null, $id = null, $localKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            \Webpatser\Countries\Countries::touchOwners();
+            return \Webpatser\Countries\Countries::morphOne($related, $name, $type, $id, $localKey);
         }
         
         /**
-         * Determine if the model touches a given relation.
+         * Define an inverse one-to-one or many relationship.
          *
+         * @param string $related
+         * @param string $foreignKey
+         * @param string $ownerKey
          * @param string $relation
-         * @return bool 
+         * @return \Illuminate\Database\Eloquent\Relations\BelongsTo 
          * @static 
          */
-        public static function touches($relation){
+        public static function belongsTo($related, $foreignKey = null, $ownerKey = null, $relation = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::touches($relation);
+            return \Webpatser\Countries\Countries::belongsTo($related, $foreignKey, $ownerKey, $relation);
         }
         
         /**
-         * Update the model's update timestamp.
+         * Define a polymorphic, inverse one-to-one or many relationship.
          *
-         * @return bool 
+         * @param string $name
+         * @param string $type
+         * @param string $id
+         * @return \Illuminate\Database\Eloquent\Relations\MorphTo 
          * @static 
          */
-        public static function touch(){
+        public static function morphTo($name = null, $type = null, $id = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::touch();
+            return \Webpatser\Countries\Countries::morphTo($name, $type, $id);
         }
         
         /**
-         * Set the value of the "created at" attribute.
+         * Retrieve the actual class name for a given morph class.
          *
-         * @param mixed $value
-         * @return $this 
+         * @param string $class
+         * @return string 
          * @static 
          */
-        public static function setCreatedAt($value){
+        public static function getActualClassNameForMorph($class){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setCreatedAt($value);
+            return \Webpatser\Countries\Countries::getActualClassNameForMorph($class);
         }
         
         /**
-         * Set the value of the "updated at" attribute.
+         * Define a one-to-many relationship.
          *
-         * @param mixed $value
-         * @return $this 
+         * @param string $related
+         * @param string $foreignKey
+         * @param string $localKey
+         * @return \Illuminate\Database\Eloquent\Relations\HasMany 
          * @static 
          */
-        public static function setUpdatedAt($value){
+        public static function hasMany($related, $foreignKey = null, $localKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setUpdatedAt($value);
+            return \Webpatser\Countries\Countries::hasMany($related, $foreignKey, $localKey);
         }
         
         /**
-         * Get the name of the "created at" column.
+         * Define a has-many-through relationship.
          *
-         * @return string 
+         * @param string $related
+         * @param string $through
+         * @param string|null $firstKey
+         * @param string|null $secondKey
+         * @param string|null $localKey
+         * @return \Illuminate\Database\Eloquent\Relations\HasManyThrough 
          * @static 
          */
-        public static function getCreatedAtColumn(){
+        public static function hasManyThrough($related, $through, $firstKey = null, $secondKey = null, $localKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getCreatedAtColumn();
+            return \Webpatser\Countries\Countries::hasManyThrough($related, $through, $firstKey, $secondKey, $localKey);
         }
         
         /**
-         * Get the name of the "updated at" column.
+         * Define a polymorphic one-to-many relationship.
          *
-         * @return string 
+         * @param string $related
+         * @param string $name
+         * @param string $type
+         * @param string $id
+         * @param string $localKey
+         * @return \Illuminate\Database\Eloquent\Relations\MorphMany 
          * @static 
          */
-        public static function getUpdatedAtColumn(){
+        public static function morphMany($related, $name, $type = null, $id = null, $localKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getUpdatedAtColumn();
+            return \Webpatser\Countries\Countries::morphMany($related, $name, $type, $id, $localKey);
         }
         
         /**
-         * Get a fresh timestamp for the model.
+         * Define a many-to-many relationship.
          *
-         * @return \Carbon\Carbon 
+         * @param string $related
+         * @param string $table
+         * @param string $foreignKey
+         * @param string $relatedKey
+         * @param string $relation
+         * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany 
          * @static 
          */
-        public static function freshTimestamp(){
+        public static function belongsToMany($related, $table = null, $foreignKey = null, $relatedKey = null, $relation = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::freshTimestamp();
+            return \Webpatser\Countries\Countries::belongsToMany($related, $table, $foreignKey, $relatedKey, $relation);
         }
         
         /**
-         * Get a fresh timestamp for the model.
+         * Define a polymorphic many-to-many relationship.
          *
-         * @return string 
+         * @param string $related
+         * @param string $name
+         * @param string $table
+         * @param string $foreignKey
+         * @param string $relatedKey
+         * @param bool $inverse
+         * @return \Illuminate\Database\Eloquent\Relations\MorphToMany 
          * @static 
          */
-        public static function freshTimestampString(){
+        public static function morphToMany($related, $name, $table = null, $foreignKey = null, $relatedKey = null, $inverse = false){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::freshTimestampString();
+            return \Webpatser\Countries\Countries::morphToMany($related, $name, $table, $foreignKey, $relatedKey, $inverse);
         }
         
         /**
-         * Get a new query builder for the model's table.
+         * Define a polymorphic, inverse many-to-many relationship.
          *
-         * @return \Illuminate\Database\Eloquent\Builder 
+         * @param string $related
+         * @param string $name
+         * @param string $table
+         * @param string $foreignKey
+         * @param string $relatedKey
+         * @return \Illuminate\Database\Eloquent\Relations\MorphToMany 
          * @static 
          */
-        public static function newQuery(){
+        public static function morphedByMany($related, $name, $table = null, $foreignKey = null, $relatedKey = null){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQuery();
+            return \Webpatser\Countries\Countries::morphedByMany($related, $name, $table, $foreignKey, $relatedKey);
         }
         
         /**
-         * Get a new query instance without a given scope.
+         * Get the joining table name for a many-to-many relation.
          *
-         * @param \Illuminate\Database\Eloquent\Scope|string $scope
-         * @return \Illuminate\Database\Eloquent\Builder 
+         * @param string $related
+         * @return string 
          * @static 
          */
-        public static function newQueryWithoutScope($scope){
+        public static function joiningTable($related){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryWithoutScope($scope);
+            return \Webpatser\Countries\Countries::joiningTable($related);
         }
         
         /**
-         * Get a new query builder that doesn't have any global scopes.
+         * Determine if the model touches a given relation.
          *
-         * @return \Illuminate\Database\Eloquent\Builder|static 
+         * @param string $relation
+         * @return bool 
          * @static 
          */
-        public static function newQueryWithoutScopes(){
+        public static function touches($relation){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newQueryWithoutScopes();
+            return \Webpatser\Countries\Countries::touches($relation);
         }
         
         /**
-         * Create a new Eloquent query builder for the model.
+         * Touch the owning relations of the model.
          *
-         * @param \Illuminate\Database\Query\Builder $query
-         * @return \Illuminate\Database\Eloquent\Builder|static 
+         * @return void 
          * @static 
          */
-        public static function newEloquentBuilder($query){
+        public static function touchOwners(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newEloquentBuilder($query);
+            \Webpatser\Countries\Countries::touchOwners();
         }
         
         /**
-         * Create a new Eloquent Collection instance.
+         * Get the class name for polymorphic relations.
          *
-         * @param array $models
-         * @return \Illuminate\Database\Eloquent\Collection 
+         * @return string 
          * @static 
          */
-        public static function newCollection($models = array()){
+        public static function getMorphClass(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newCollection($models);
+            return \Webpatser\Countries\Countries::getMorphClass();
         }
         
         /**
-         * Create a new pivot model instance.
+         * Get all the loaded relations for the instance.
          *
-         * @param \Illuminate\Database\Eloquent\Model $parent
-         * @param array $attributes
-         * @param string $table
-         * @param bool $exists
-         * @return \Illuminate\Database\Eloquent\Relations\Pivot 
+         * @return array 
          * @static 
          */
-        public static function newPivot($parent, $attributes, $table, $exists){
+        public static function getRelations(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::newPivot($parent, $attributes, $table, $exists);
+            return \Webpatser\Countries\Countries::getRelations();
         }
         
         /**
-         * Get the table associated with the model.
+         * Get a specified relationship.
          *
-         * @return string 
+         * @param string $relation
+         * @return mixed 
          * @static 
          */
-        public static function getTable(){
+        public static function getRelation($relation){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getTable();
+            return \Webpatser\Countries\Countries::getRelation($relation);
         }
         
         /**
-         * Set the table associated with the model.
+         * Determine if the given relation is loaded.
          *
-         * @param string $table
-         * @return $this 
+         * @param string $key
+         * @return bool 
          * @static 
          */
-        public static function setTable($table){
+        public static function relationLoaded($key){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setTable($table);
+            return \Webpatser\Countries\Countries::relationLoaded($key);
         }
         
         /**
-         * Get the value of the model's primary key.
+         * Set the specific relationship in the model.
          *
-         * @return mixed 
+         * @param string $relation
+         * @param mixed $value
+         * @return $this 
          * @static 
          */
-        public static function getKey(){
+        public static function setRelation($relation, $value){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getKey();
+            return \Webpatser\Countries\Countries::setRelation($relation, $value);
         }
         
         /**
-         * Get the queueable identity for the entity.
+         * Set the entire relations array on the model.
          *
-         * @return mixed 
+         * @param array $relations
+         * @return $this 
          * @static 
          */
-        public static function getQueueableId(){
+        public static function setRelations($relations){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getQueueableId();
+            return \Webpatser\Countries\Countries::setRelations($relations);
         }
         
         /**
-         * Get the primary key for the model.
+         * Get the relationships that are touched on save.
          *
-         * @return string 
+         * @return array 
          * @static 
          */
-        public static function getKeyName(){
+        public static function getTouchedRelations(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getKeyName();
+            return \Webpatser\Countries\Countries::getTouchedRelations();
         }
         
         /**
-         * Set the primary key for the model.
+         * Set the relationships that are touched on save.
          *
-         * @param string $key
+         * @param array $touches
          * @return $this 
          * @static 
          */
-        public static function setKeyName($key){
+        public static function setTouchedRelations($touches){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setKeyName($key);
+            return \Webpatser\Countries\Countries::setTouchedRelations($touches);
         }
         
         /**
-         * Get the table qualified key name.
+         * Update the model's update timestamp.
          *
-         * @return string 
+         * @return bool 
          * @static 
          */
-        public static function getQualifiedKeyName(){
+        public static function touch(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getQualifiedKeyName();
+            return \Webpatser\Countries\Countries::touch();
         }
         
         /**
-         * Get the value of the model's route key.
+         * Set the value of the "created at" attribute.
          *
-         * @return mixed 
+         * @param mixed $value
+         * @return $this 
          * @static 
          */
-        public static function getRouteKey(){
+        public static function setCreatedAt($value){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getRouteKey();
+            return \Webpatser\Countries\Countries::setCreatedAt($value);
         }
         
         /**
-         * Get the route key for the model.
+         * Set the value of the "updated at" attribute.
          *
-         * @return string 
+         * @param mixed $value
+         * @return $this 
          * @static 
          */
-        public static function getRouteKeyName(){
+        public static function setUpdatedAt($value){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getRouteKeyName();
+            return \Webpatser\Countries\Countries::setUpdatedAt($value);
         }
         
         /**
-         * Determine if the model uses timestamps.
+         * Get a fresh timestamp for the model.
          *
-         * @return bool 
+         * @return \Carbon\Carbon 
          * @static 
          */
-        public static function usesTimestamps(){
+        public static function freshTimestamp(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::usesTimestamps();
+            return \Webpatser\Countries\Countries::freshTimestamp();
         }
         
         /**
-         * Get the class name for polymorphic relations.
+         * Get a fresh timestamp for the model.
          *
          * @return string 
          * @static 
          */
-        public static function getMorphClass(){
+        public static function freshTimestampString(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getMorphClass();
+            return \Webpatser\Countries\Countries::freshTimestampString();
         }
         
         /**
-         * Get the number of models to return per page.
+         * Determine if the model uses timestamps.
          *
-         * @return int 
+         * @return bool 
          * @static 
          */
-        public static function getPerPage(){
+        public static function usesTimestamps(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getPerPage();
+            return \Webpatser\Countries\Countries::usesTimestamps();
         }
         
         /**
-         * Set the number of models to return per page.
+         * Get the name of the "created at" column.
          *
-         * @param int $perPage
-         * @return $this 
+         * @return string 
          * @static 
          */
-        public static function setPerPage($perPage){
+        public static function getCreatedAtColumn(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setPerPage($perPage);
+            return \Webpatser\Countries\Countries::getCreatedAtColumn();
         }
         
         /**
-         * Get the default foreign key name for the model.
+         * Get the name of the "updated at" column.
          *
          * @return string 
          * @static 
          */
-        public static function getForeignKey(){
+        public static function getUpdatedAtColumn(){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::getForeignKey();
+            return \Webpatser\Countries\Countries::getUpdatedAtColumn();
         }
         
         /**
@@ -15457,30 +16922,6 @@ namespace {
         }
         
         /**
-         * Make the given, typically hidden, attributes visible.
-         *
-         * @param array|string $attributes
-         * @return $this 
-         * @static 
-         */
-        public static function makeVisible($attributes){
-            //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::makeVisible($attributes);
-        }
-        
-        /**
-         * Make the given, typically visible, attributes hidden.
-         *
-         * @param array|string $attributes
-         * @return $this 
-         * @static 
-         */
-        public static function makeHidden($attributes){
-            //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::makeHidden($attributes);
-        }
-        
-        /**
          * Get the visible attributes for the model.
          *
          * @return array 
@@ -15516,15 +16957,27 @@ namespace {
         }
         
         /**
-         * Set the accessors to append to model arrays.
+         * Make the given, typically hidden, attributes visible.
          *
-         * @param array $appends
+         * @param array|string $attributes
          * @return $this 
          * @static 
          */
-        public static function setAppends($appends){
+        public static function makeVisible($attributes){
             //Method inherited from \Illuminate\Database\Eloquent\Model            
-            return \Webpatser\Countries\Countries::setAppends($appends);
+            return \Webpatser\Countries\Countries::makeVisible($attributes);
+        }
+        
+        /**
+         * Make the given, typically visible, attributes hidden.
+         *
+         * @param array|string $attributes
+         * @return $this 
+         * @static 
+         */
+        public static function makeHidden($attributes){
+            //Method inherited from \Illuminate\Database\Eloquent\Model            
+            return \Webpatser\Countries\Countries::makeHidden($attributes);
         }
         
         /**
